> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Logs

> Get all logs with filters



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/profound/openapi.documented.yml post /v1/logs/raw
openapi: 3.1.0
info:
  title: External API
  version: 6c43b49565a0c4e7cb023e22242cc3df28ee7153
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security: []
paths:
  /v1/logs/raw:
    post:
      tags:
        - Agent Analytics
      summary: Get Logs
      description: Get all logs with filters
      operationId: get_logs_v1_logs_raw_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogsQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - items:
                      $ref: '#/components/schemas/LogVisit'
                    type: array
                    title: LogVisitList
                  - $ref: '#/components/schemas/Response'
                title: Response Get Logs V1 Logs Raw Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Profound from '@profoundai/client';

            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.logs.raw.logs({
              domain: 'domain',
              metrics: ['count'],
              start_date: '2019-12-27T18:11:19.117Z',
            });

            console.log(response);
        - lang: Python
          source: |-
            import os
            from datetime import datetime
            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),  # This is the default and can be omitted
            )
            response = client.logs.raw.logs(
                domain="domain",
                metrics=["count"],
                start_date=datetime.fromisoformat("2019-12-27T18:11:19.117"),
            )
            print(response)
components:
  schemas:
    LogsQuery:
      properties:
        date_interval:
          type: string
          enum:
            - hour
            - day
            - week
            - month
            - year
            - relative_week
          title: Date Interval
          description: Date interval for the report. (only used with date dimension)
          default: day
        dimensions:
          items:
            type: string
            enum:
              - timestamp
              - method
              - host
              - path
              - status_code
              - ip
              - user_agent
              - referer
              - bytes_sent
              - duration_ms
              - query_params
          type: array
          title: Dimensions
          description: Dimensions to group the report by.
          default: []
        metrics:
          items:
            type: string
            const: count
          type: array
          title: Metrics
        order_by:
          additionalProperties:
            type: string
            enum:
              - asc
              - desc
          type: object
          title: Order By
          description: >-

            Custom ordering of the report results.


            The order is a record of key-value pairs where:

            - key is the field to order by, which can be a metric or dimension

            - value is the direction of the order, either 'asc' for ascending or
            'desc' for descending.


            When not specified, the default order is the first metric in the
            query descending.
                    
          default: {}
          examples:
            - date: asc
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: Pagination settings for the report results.
        domain:
          type: string
          title: Domain
          description: Domain to query logs for.
        start_date:
          type: string
          format: date-time
          title: Start Date
          description: >-
            Start date for logs. Accepts: YYYY-MM-DD, YYYY-MM-DD HH:MM,
            YYYY-MM-DD HH:MM:SS, or full ISO timestamp.
        end_date:
          type: string
          format: date-time
          title: End Date
          description: >-
            End date for logs. Accepts same formats as start_date. Defaults to
            now if omitted.
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/MethodFilter'
              - $ref: '#/components/schemas/HostFilter'
              - $ref: '#/components/schemas/PathFilter'
              - $ref: '#/components/schemas/StatusCodeFilter'
              - $ref: '#/components/schemas/IpFilter'
              - $ref: '#/components/schemas/UserAgentFilter'
              - $ref: '#/components/schemas/RefererFilter'
              - $ref: '#/components/schemas/ProviderFilter'
              - $ref: '#/components/schemas/QueryParamsFilter'
              - $ref: '#/components/schemas/BytesSentFilter'
              - $ref: '#/components/schemas/DurationMsFilter'
            discriminator:
              propertyName: field
              mapping:
                bytes_sent:
                  $ref: '#/components/schemas/BytesSentFilter'
                duration_ms:
                  $ref: '#/components/schemas/DurationMsFilter'
                host:
                  $ref: '#/components/schemas/HostFilter'
                ip:
                  $ref: '#/components/schemas/IpFilter'
                method:
                  $ref: '#/components/schemas/MethodFilter'
                path:
                  $ref: '#/components/schemas/PathFilter'
                provider:
                  $ref: '#/components/schemas/ProviderFilter'
                query_params:
                  $ref: '#/components/schemas/QueryParamsFilter'
                referer:
                  $ref: '#/components/schemas/RefererFilter'
                status_code:
                  $ref: '#/components/schemas/StatusCodeFilter'
                user_agent:
                  $ref: '#/components/schemas/UserAgentFilter'
          type: array
          title: Filters
          description: Filters to apply to the logs query.
      type: object
      required:
        - metrics
        - domain
        - start_date
      title: LogsQuery
    LogVisit:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        org_id:
          type: string
          format: uuid
          title: Org Id
        method:
          type: string
          title: Method
        host:
          type: string
          title: Host
        path:
          type: string
          title: Path
        status_code:
          type: integer
          title: Status Code
        ip:
          type: string
          title: Ip
        user_agent:
          type: string
          title: User Agent
        referer:
          type: string
          title: Referer
          default: ''
        bytes_sent:
          type: integer
          title: Bytes Sent
          default: 0
        duration_ms:
          type: integer
          title: Duration Ms
          default: 0
        query_params:
          additionalProperties:
            type: string
          type: object
          title: Query Params
      type: object
      required:
        - timestamp
        - org_id
        - method
        - host
        - path
        - status_code
        - ip
        - user_agent
      title: LogVisit
      description: DB Model for a log visit.
    Response:
      properties:
        info:
          $ref: '#/components/schemas/Info'
        data:
          items:
            $ref: '#/components/schemas/Result'
          type: array
          title: Data
      type: object
      required:
        - info
        - data
      title: Response
      description: Base response model for reports.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Pagination:
      properties:
        limit:
          type: integer
          maximum: 50000
          exclusiveMinimum: 0
          title: Limit
          description: >-
            Maximum number of results to return. Default is 10,000, maximum is
            50,000.
          default: 10000
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Offset for the results. Used for pagination.
          default: 0
      type: object
      title: Pagination
      description: Offset-based pagination parameters.
    MethodFilter:
      properties:
        field:
          type: string
          const: method
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: MethodFilter
      description: Filter by HTTP method
    HostFilter:
      properties:
        field:
          type: string
          const: host
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: HostFilter
      description: Filter by host
    PathFilter:
      properties:
        field:
          type: string
          const: path
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: PathFilter
      description: Filter by request path
    StatusCodeFilter:
      properties:
        field:
          type: string
          const: status_code
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: integer
            - items:
                type: integer
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: StatusCodeFilter
      description: Filter by HTTP status code
    IpFilter:
      properties:
        field:
          type: string
          const: ip
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: IpFilter
      description: Filter by IP address
    UserAgentFilter:
      properties:
        field:
          type: string
          const: user_agent
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: UserAgentFilter
      description: Filter by user agent
    RefererFilter:
      properties:
        field:
          type: string
          const: referer
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: RefererFilter
      description: Filter by referer
    ProviderFilter:
      properties:
        field:
          type: string
          const: provider
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: ProviderFilter
      description: Filter by provider
    QueryParamsFilter:
      properties:
        field:
          type: string
          const: query_params
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: QueryParamsFilter
      description: Filter by query parameters
    BytesSentFilter:
      properties:
        field:
          type: string
          const: bytes_sent
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: integer
            - items:
                type: integer
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: BytesSentFilter
      description: Filter by bytes sent
    DurationMsFilter:
      properties:
        field:
          type: string
          const: duration_ms
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: integer
            - items:
                type: integer
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: DurationMsFilter
      description: Filter by duration in milliseconds
    Info:
      properties:
        total_rows:
          type: integer
          title: Total Rows
        query:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Query
      type: object
      required:
        - total_rows
      title: Info
      description: Base model for report information.
    Result:
      properties:
        metrics:
          items:
            anyOf:
              - type: integer
              - type: number
          type: array
          title: Metrics
        dimensions:
          items:
            anyOf:
              - type: string
              - type: string
                format: uuid
          type: array
          title: Dimensions
      type: object
      required:
        - metrics
        - dimensions
      title: Result
      description: Base model for report results.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````